Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.cluster
Class ClusterChannel

    java.lang.Object
      org.exist.cluster.ClusterChannel

public class ClusterChannel
extends java.lang.Object

Created by Francesco Mondora.

Author:
  Francesco Mondora aka Makkina, Michele Danieli aka mdanieli, Nicola Breda aka maiale Date: 05-aug-2005 Time: 18.09.08 Revision $Revision: 1540 $

Field Summary
`static java.lang.String` | `EXIST_GROUP`
`static java.util.Vector` | `incomingEvents`

Constructor Summary
`ClusterChannel()`

Method Summary
`static void` | `accountEvent(java.lang.String event)`
`static boolean` | `hasToBePublished(java.lang.String event)`
`static void` | `removeEvent(java.lang.String code)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EXIST_GROUP

    public static final java.lang.String EXIST_GROUP

See Also:
  Constant Field Values

### incomingEvents

    public static java.util.Vector incomingEvents

Constructor Detail

### ClusterChannel

    public ClusterChannel()

Method Detail

### hasToBePublished

    public static boolean hasToBePublished(java.lang.String event)

### accountEvent

    public static void accountEvent(java.lang.String event)

### removeEvent

    public static void removeEvent(java.lang.String code)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.